
#ifndef PLATFORM_H
#define PLATFORM_H

using namespace Salamander;

namespace Salamander
{
	class Body;
	class World;
}

class Platform : public Body
{
public:
    Platform(std::string filename);
    virtual ~Platform();

    virtual void frame();

protected:
	virtual void updateMatrix();
	virtual void propogate();

private:
	void load(std::string filename);

private:
	Sprite* sprite_;
};


#endif // PLATFORM_H
